/**
 * @file
 * Sticky form actions (more actions) styles.
 */

:where(*),
:is(#extra-specificity-hack, [data-drupal-admin-styles]) {
  .gin-sticky-form-actions {
    display: flex;
    gap: var(--admin-space-xs);

    > * {
      margin: 0 !important;
    }

    [data-drupal-selector="edit-status"]:empty {
      display: none;
    }
  }

  .gin-sticky-form-actions--preprocessed ~ .layout-container form.gin--has-sticky-form-actions .gin-sticky-form-actions {
    position: absolute !important;
    position: fixed !important;
    overflow: hidden;
    clip: rect(1px, 1px, 1px, 1px);
    width: 1px;
    height: 1px;
    word-wrap: normal;
    inset-block-start: 0;
  }

  .edit-post-header .gin-sticky-form-actions {
    margin-block-start: 0;
  }
}

@keyframes gin-pseudo-throbber {
  0% {
    background-position: 16px 18px;
    background-size: 8px 8px;
  }

  50% {
    background-position: 4px 14px;
    background-size: 32px 32px;
  }

  100% {
    background-position: 16px 18px;
    background-size: 8px 8px;
  }
}

[data-drupal-selector="gin-sticky-edit-save"],
[data-drupal-selector="gin-sticky-edit-preview"],
[data-drupal-selector="gin-sticky-edit-delete"] {
  background-repeat: no-repeat;
  background-position: var(--admin-space-xs) center;
}

body:has([data-drupal-selector="edit-save"] + .ajax-progress) :where([data-drupal-selector="gin-sticky-edit-save"]),
body:has([data-drupal-selector="edit-preview"] + .ajax-progress) :where([data-drupal-selector="gin-sticky-edit-preview"]),
body:has([data-drupal-selector="edit-delete"] + .ajax-progress) :where([data-drupal-selector="gin-sticky-edit-delete"]) {
  padding-inline-start: var(--admin-space-xl);
  animation: gin-pseudo-throbber 1s linear infinite;
  background-image: url("../../migration/media/icons/general/loader.svg");

  &:dir(rtl) {
    padding-inline-start: unset;
    padding-inline-end: var(--admin-space-xl);
  }
}
